Subject: Re: [O] bug#12702: 24.2; Orgmode Refile complains "Not bookmark format"

From: Philipp Kroos <[email-masked]>
Date: Tue, 23 Oct 2012 22:52:49 +0200

Hi,

Bastien <[email-masked]> writes:

> Hi Jonathan,
>
> Jonathan Schaeffer <[email-masked]> writes:
>
>> I'll submit a post on Archlinux forum to see if someone can reproduce
>> this.
>
> You can also try reporting your problem to the emacs-orgmode mailing
> list: https://lists.gnu.org/mailman/listinfo/emacs-orgmode
>
> There are some ArchLinux Org-mode users there.

I'm on Arch so I checked it with my emacs from the repositories.
I can  reproduce it, but I think it's unrelated to Archlinux.
If I enter the org-buffer with C-x b, M-x org-mode,
M-x toggle-debug-on-error shows that the error (wrong-type-argument
arryp nil) goes back to org-refile-check-position in org.el.
The let-form sets `file` to (nth 1 refile-pointer), which is `nil` *if*
the buffer was loaded like mentioned. This value is given to
find-buffer-visiting, from where file-truename eventually throws the error.

If the file is visited with C-x f, `file` is set to the correct value
(current directory + filename) and the refiling is correct.

Best, Philipp